## WebDAV Channel WebDAV Channel — exports a directory |

## Stability Level

Stable, unless otherwise indicated

## Types and Values

struct | SpiceWebdavChannel
struct | SpiceWebdavChannelClass

## Object Hierarchy

        GObject
        ╰── SpiceChannel
            ╰── SpicePortChannel
                ╰── SpiceWebdavChannel

## Includes

    #include <channel-webdav.h>

## Description

The "webdav" channel exports a directory to the guest for file manipulation (read/write/copy etc). The underlying protocol is implemented using WebDAV (RFC 4918).

By default, the shared directory is the one associated with GLib `G_USER_DIRECTORY_PUBLIC_SHARE`. You can specify a different directory with SpiceSession “shared-dir” property.

## Functions

## Types and Values

### struct SpiceWebdavChannel

    struct SpiceWebdavChannel;

The SpiceWebdavChannel struct is opaque and should not be accessed directly.

### struct SpiceWebdavChannelClass

    struct SpiceWebdavChannelClass {
        SpicePortChannelClass parent_class;
    };

Class structure for SpiceWebdavChannel.

#### Members

SpicePortChannelClass `parent_class`; | Parent class. |

## See Also

SpiceChannel